/* dumpvoice */

#include "casio.h"
#include "fz1.h"
#include <stdio.h>

dumpvoice(p)
struct voicedata *p;
{
	printf("wave_start_address %ld, wave_end_address %ld\n",wave_start_address,wave_end_address);
	printf("generator_start_address %ld, generator_end_address %ld\n",generator_start_address,generator_end_addresss);

	printf("loop_style %d, sustain_loop_number %d, multi_loop_end_number %d\n",loop_style,sustain_loop_number,multi_loop_end_number);

	for (i = 0; i < 8; i++)
	{
		printf("loop_start_addresses[%d] %ld, loop_end_address[%d] %ld\n",i,loop_start_addresses[i],i,loop_end_addresses[i]);
		printf("loop_cross_feed_time[%d] %ld, loop_time[%d] %ld\n",loop_cross_feed_time[i],loop_time[i]);
	}

	printf("voice_pitch %d, frequency_offset %d, filter_Q_offset %d\n",voice_pitch,frequency_offset,filter_Q_offset);


	printf("dca_envelope_sustain_point %d, dca_envelope_end_point %d\n",dca_envelope_sustain_point,dca_envelope_end_point);
	BYTE	dca_envelope_sustain_point;
	BYTE	dca_envelope_end_point;
	BYTE	dca_envelope_rate_values[NLOOPS];
	UBYTE	dca_envelope_stop_values[NLOOPS];

	BYTE	dcf_envelope_sustain_point;
	BYTE	dcf_envelope_end_point;
	BYTE	dcf_rate_envelope_rate_values[NLOOPS];
	UBYTE	dcf_envelope_stop_values[NLOOPS];

	unsigned short lfo_delay_time;
	UBYTE	lfo_waveform;
	UBYTE	lfo_attack_value;
	BYTE	lfo_rate;
	BYTE	lfo_pitch_depth;
	BYTE	lfo_amplitude_depth;
	BYTE	lfo_filter_depth;
	BYTE	lfo_filter_Q_depth;
	BYTE	initial_touch_Q_follow;

	BYTE	dca_keyboard_follow_depth;
	BYTE	dca_noterate_scaling_depth;
	BYTE	dcf_keyboard_follow_depth;
	BYTE	dcf_noterate_scaling_depth;

	BYTE	initial_touch_dca_key_follow;
	BYTE	initial_touch_dca_rate_scaling;
	BYTE	initial_touch_dcf_key_follow;
	BYTE	initial_touch_dca_rate_scaling;

	UBYTE	high_width_MIDI_code;	
	UBYTE	low_width_MIDI_code;
	UBYTE	keynote_center;

	UBYTE	sampling_frequency_index;

	char	name[14];
}


